Subject: Re: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific Information Elements reused in IPFIX) to Informational RFC

From: joel jaeggli <[email-masked]>
Date: Thu, 13 Feb 2014 11:35:42 -0800

A new version of this document has been released.

this addresses comments recieved during last call.

the diff1 is here

http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=draft-yourtchenko-cisco-ies-10.txt

On 1/21/14, 4:33 AM, The IESG wrote:
> 
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'Cisco Specific Information Elements reused in IPFIX'
>   <draft-yourtchenko-cisco-ies-09.txt> as Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-02-18. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    This document describes some additional Information Elements of Cisco
>    Systems, Inc. that are not listed in RFC3954.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-yourtchenko-cisco-ies/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-yourtchenko-cisco-ies/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 14 Feb 2014 12:27:33 -0000

Hi Andrew,

Thanks for the work.

The changes together with the email discussion have clarified the situation with
regard to my question.

Cheers,
Adrian

> -----Original Message-----
> From: Andrew Yourtchenko [mailto:[email-masked]]
> Sent: 13 February 2014 20:05
> To: Adrian Farrel
> Cc: 'Benoit Claise'; [email-masked]
> Subject: RE: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific
> Information Elements reused in IPFIX) to Informational RFC
> 
> Hello Adrian,
> 
> I've uploaded today the
> http://tools.ietf.org/html/draft-yourtchenko-cisco-ies-10 that hopefully
> took into account the review by changing the text of the Abstract and
> Introduction.
> 
> Please take a look for the new revision, and let us know what you think.
> 
> Many thanks!
> 
> --a
> 
> On Tue, 28 Jan 2014, Adrian Farrel wrote:
> 
> >
> > Thanks Benoit, that is an important point and is really helpful.
> >
> >
> >
> > So, do I read you right if I say that this document records some NetFlow v9
> features and codepoints that were
> > accidentally missed when RFC 3954 was written.
> >
> >
> >
> > Or are these later modifications to NetFlow v9 (let's call it v9.x) that use
the
> same code point range but were not
> > actually part of v9?
> >
> >
> >
> > The question might arise as to whether this document is supposed to update
> 3954.
> >
> >
> >
> > Thanks,
> >
> > Adrian
> >
> >
> >
> > From: Benoit Claise [mailto:[email-masked]]
> > Sent: 28 January 2014 09:47
> > To: [email-masked]; [email-masked]; Andrew Yourtchenko
> > Subject: Re: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific
> Information Elements reused in IPFIX) to
> > Informational RFC
> >
> >
> >
> > Let me reply to myself: I forgot an important point, which might be useful
if
> people start discussing AD sponsoring of
> > this document, without actually having read it.
> >
> > Let me stress the first sentence of the Introduction section.
> >
> >    The section 4 of [RFC7012] defines the IPFIX Information Elements in
> >
> >    the range of 1-127 to be compatible with the NetFlow version 9
> >
> >    fields, as specified in the "Cisco Systems NetFlow Services Export
> >
> >    Version 9" [RFC3954].
> >
> > So this draft is clearly linked to the work in IPFIX RFC 7012 (IPFIX
information
> model) and must follow the RFC 7013
> > rules (Guidelines for Authors and Reviewers of IPFIX Information Elements),
> therefore would benefit from more reviews.
> >
> > It's probably not too clear from the abstract, and should be improved.
> >
> > OLD:
> >
> >    Systems, Inc. that are not listed in RFC3954
> >
> >
> >
> > NEW:
> >
> >    This document describes some additional IPFIX Information Elements in
> >
> >    the range of 1-127, which is the range compatible with field types used
> >
> >    by NetFlow version 9 in RFC3954, as specified in the IPFIX Information
Model
> >
> >    RFC 7012.
> >
> >
> >
> > Regards, Benoit (an as author)
> >
> >
> >
> >       Adrian,
> >
> >       Not an answer to the process question, but some background information
> on this draft.
> >       This draft, which is now 3 years old, has been evolving with the IPFIX
> standardization.
> >       For example, looking at
http://tools.ietf.org/rfcdiff?url2=draft-yourtchenko-
> cisco-ies-09.txt, you can see
> >       the interaction with the IPFIX WG document ietf-ipfix-data-link-layer-
> monitoring: now that
> >       ietf-ipfix-data-link-layer-monitoring is in the RFC editor queue, the
draft has
> been simplified, and some
> >       IPFIX Information Elements in the range 1-127 became deprecated.
> >       This explains why the draft has been presented and reviewed multiple
times
> in the IPFIX WG, and also why it
> >       would benefit from a wider review than the independent stream.
> >
> >       Regards, Benoit (as draft author)
> >
> >
> >
> >       Hi,
> >
> >       I have a process question on this last call which is not clear from
the last
> >       call text.
> >
> >       Are we being asked to consider whether publication of this document is
> useful,
> >       or are we being asked for IETF consensus on the *content* of the
> document?
> >
> >       It seems from the document that the content is descriptive of
something
> >       implemented by a single vendor. I applaud putting that information
into the
> >       public domain, but I don't understand the meaning of IETF consensus
with
> respect
> >       to this document.
> >
> >       Thanks,
> >       Adrian
> >
> >
> >       -----Original Message-----
> >       From: IETF-Announce [mailto:[email-masked]] On Behalf
> Of The
> >       IESG
> >       Sent: 21 January 2014 12:33
> >       To: IETF-Announce
> >       Subject: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco
Specific
> >       Information Elements reused in IPFIX) to Informational RFC
> >
> >
> >       .
> >       .

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 14 Feb 2014 17:12:29 +0000

I think the draft should say on top that it updates RFC7012, as it mentions
that the draft extends the information model in 7012. Otherwise please
explain why not?

AB

On Thursday, February 13, 2014, joel jaeggli wrote:

> > [email-masked] <javascript:;> mailing lists by 2014-02-18.
> Exceptionally, comments may be
> > sent to [email-masked] <javascript:;> instead. In either case, please
> retain the

---

From: Andrew Yourtchenko <[email-masked]>
Date: Thu, 13 Feb 2014 21:05:14 +0100

Hello Adrian,

I've uploaded today the 

Many thanks!

--a

On Tue, 28 Jan 2014, Adrian Farrel wrote:

> So, do I read you right if I say that this document records some NetFlow v9 features and codepoints that were
> Or are these later modifications to NetFlow v9 (let's call it v9.x) that use the same code point range but were not
> actually part of v9?
>
> 
> 
> The question might arise as to whether this document is supposed to update 3954.
>
> 
> 
> Thanks,
> 
> Adrian
>
> 
> 
> Subject: Re: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific Information Elements reused in IPFIX) to
> Informational RFC
>
> 
> 
> Let me reply to myself: I forgot an important point, which might be useful if people start discussing AD sponsoring of
> So this draft is clearly linked to the work in IPFIX RFC 7012 (IPFIX information model) and must follow the RFC 7013
> rules (Guidelines for Authors and Reviewers of IPFIX Information Elements), therefore would benefit from more reviews.
> 
>    by NetFlow version 9 in RFC3954, as specified in the IPFIX Information Model
>
>    RFC 7012.
>
> 
> 
>       Not an answer to the process question, but some background information on this draft.
>       This draft, which is now 3 years old, has been evolving with the IPFIX standardization.
>       For example, looking at http://tools.ietf.org/rfcdiff?url2=draft-yourtchenko-cisco-ies-09.txt, you can see
>       the interaction with the IPFIX WG document ietf-ipfix-data-link-layer-monitoring: now that
>       ietf-ipfix-data-link-layer-monitoring is in the RFC editor queue, the draft has been simplified, and some
>       This explains why the draft has been presented and reviewed multiple times in the IPFIX WG, and also why it
>       I have a process question on this last call which is not clear from the last
>       call text.
>
>       Are we being asked to consider whether publication of this document is useful,
>       or are we being asked for IETF consensus on the *content* of the document?
>
>       It seems from the document that the content is descriptive of something
>       implemented by a single vendor. I applaud putting that information into the
>       public domain, but I don't understand the meaning of IETF consensus with respect
>       to this document.
>
>       Thanks,
>       Adrian
> 
>
>       From: IETF-Announce [mailto:[email-masked]] On Behalf Of The
>       IESG
>       Subject: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific

---

From: Andrew Feren <[email-masked]>
Date: Fri, 14 Feb 2014 18:09:51 +0000

draft-yourtchenko-cisco-ies-10 addresses my earlier last call comments.

-Andrew
________________________________________
From: ietf [[email-masked]] on behalf of joel jaeggli [[email-masked]]
Sent: Thursday, February 13, 2014 2:35 PM
To: [email-masked]
Subject: Re: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific Information Elements reused in IPFIX) to Informational RFC

the diff1 is here

---

From: Andrew Feren <[email-masked]>
Date: Fri, 14 Feb 2014 18:31:38 +0000

Hi Abdussalam,

This draft doesn't update RFC 7012 it extends the information model.  The draft states this clearly and also mentions how the information model is extended.

"The IPFIX Protocol ([RFC7011]) has its own
   Information Model ([RFC7012], IANA [IPFIX-IANA]) which is extensible
   upon application to IANA, subject to expert review by IE-doctors
   ([RFC7013]).  This draft extends the IPFIX Information Model."

See also secion 6 "IANA Considerations" as well as RFC 7012 Section 6 "Extending the Information Model".

-Andrew

________________________________
From: ietf [[email-masked]] on behalf of Abdussalam Baryun [[email-masked]]
Sent: Friday, February 14, 2014 12:12 PM
To: joel jaeggli
Cc: [email-masked]
Subject: Re: Last Call: <draft-yourtchenko-cisco-ies-09.txt> (Cisco Specific Information Elements reused in IPFIX) to Informational RFC

I think the draft should say on top that it updates RFC7012, as it mentions that the draft extends the information model in 7012. Otherwise please explain why not?

AB

the diff1 is here

On 1/21/14, 4:33 AM, The IESG wrote:
> [email-masked]<UrlBlockedError.aspx> mailing lists by 2014-02-18. Exceptionally, comments may be
> sent to [email-masked]<UrlBlockedError.aspx> instead. In either case, please retain the